const os = require('os');
// const config = require('komodo-sdk/config');

module.exports = {
    pid: process.pid,
    ts: new Date(),
    start_time: new Date(),
    start_time_from_now: null,
    uptime_secs: process.uptime(),
    hostname: os.hostname(),
    loadavg: os.loadavg(),
    workdir: process.cwd(),
    memory_usage: process.memoryUsage(),
    nodejs_versions: process.versions,
    core: {
        received: 0,
        sent: 0,
        sent_failed: 0,
        last_error: null,
    },
    callback_sender: {
        sent: 0,
        sent_failed: 0,
        sent_using_get: 0,
        sent_using_post: 0,
        last_error: null,
        active_count: 0,
        active_sending: {},
    },
};
