const safeErrorCodes = [
    'EHOSTUNREACH',
    'ENOTFOUND',
    'ECONNREFUSED',
    'ETIMEDOUT', // timeout on connecting

    // Berikut adalah error code yang tidak aman untuk dianggap gagal

    // terjadi karena timeout setelah konek (akibat pengaturan timeout pada request axios)
    // 'ECONNABORTED',
];

module.exports = (e) => safeErrorCodes.indexOf(e.code) >= 0;
